Get User MCP Server Tools
curl --request GET \
--url https://app.splox.io/api/v1/user-mcp-servers/{id}/tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.splox.io/api/v1/user-mcp-servers/{id}/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.splox.io/api/v1/user-mcp-servers/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"total": 123,
"limit": 123
}MCP
Get User MCP Server Tools
Returns available tool options for a user MCP server.
GET
/
user-mcp-servers
/
{id}
/
tools
Get User MCP Server Tools
Returns tool options for a specific user MCP server.
Usage
curl "https://app.splox.io/api/v1/user-mcp-servers/YOUR_MCP_SERVER_ID/tools" \
-H "Authorization: Bearer YOUR_TOKEN"
from splox import SploxClient
client = SploxClient(api_key="YOUR_API_KEY")
resp = client.mcp.get_server_tools("YOUR_MCP_SERVER_ID")
for tool in resp.options:
print(tool.value)
import Splox from "splox";
const client = new Splox("YOUR_API_KEY");
const resp = await client.mcp.getServerTools("YOUR_MCP_SERVER_ID");
for (const tool of resp.options) {
console.log(tool.value);
}
resp, err := client.MCP.GetServerTools(ctx, "YOUR_MCP_SERVER_ID")
if err != nil {
panic(err)
}
for _, tool := range resp.Options {
fmt.Println(tool.Value)
}
Authorizations
API token generated from your Splox account settings. Create tokens at https://app.splox.io/account?tab=settings
Path Parameters
User MCP server ID
⌘I

